import { jsx } from "react/jsx-runtime";
import { createContext, useContext } from "react";
const SchemaToolbarContext = /*#__PURE__*/ createContext({});
SchemaToolbarContext.displayName = 'SchemaToolbarContext';
const SchemaToolbarProvider = (props)=>{
    const { children, ...others } = props;
    return /*#__PURE__*/ jsx(SchemaToolbarContext.Provider, {
        value: others,
        children: children
    });
};
function useSchemaToolbar() {
    return useContext(SchemaToolbarContext);
}
export { SchemaToolbarContext, SchemaToolbarProvider, useSchemaToolbar };
